using System;

namespace Pr7Tombola
{
    class Program
    {
        static void Main(string[] args)
        {

            Tabellone tab = new Tabellone();

            int scelta = 0;
            do
            {
                scelta = Generico.Menu(
                    "Estrai",
                    "Stampa Estratti",
                    "Stampa Tabellone",
                    "Nuovo",
                    "Esci");

                switch (scelta)
                {
                    case 0:
                        int estratto = tab.Estrai();
                        if (estratto != -1)
                            Console.WriteLine("Estratto il numero {0}", estratto);
                        break;
                    case 1:
                        Console.WriteLine("Numeri estratti: ");
                        Console.WriteLine(tab.StampaEstratti());
                        break;
                    case 2:
                        Console.WriteLine("Tabellone: ");
                        Console.WriteLine(tab.StampaTabellone());
                        break;
                    case 3:
                        tab.Nuovo();
                        Console.WriteLine("Cancellati tutti i dati del gioco precedente.");
                        break;
                    case 4:
                        break;
                }
                if (scelta < 4)
                {
                    Console.ForegroundColor = ConsoleColor.Green;
                    if (tab.Completato())
                        Console.WriteLine("Gioco Completato!!");
                    Console.Write("\nPremi un tasto per tornare al menu");
                    Console.ReadKey();
                    Console.ForegroundColor = ConsoleColor.White;
                }
            } while (scelta != 4);
        }
    }
}
